Up

# NSClipView

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSClipView class

## NSClipView : NSView

> Declared in:
>   AppKit/NSClipView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -acceptsFirstResponder
- -autoscroll:
- -backgroundColor
- -constrainScrollPoint:
- -copiesOnScroll
- -documentCursor
- -documentRect
- -documentView
- -documentVisibleRect
- -drawsBackground
- -isFlipped
- -rotateByAngle:
- -scaleUnitSquareToSize:
- -scrollToPoint:
- -setBackgroundColor:
- -setBoundsOrigin:
- -setBoundsRotation:
- -setBoundsSize:
- -setCopiesOnScroll:
- -setDocumentCursor:
- -setDocumentView:
- -setDrawsBackground:
- -setFrameOrigin:
- -setFrameRotation:
- -setFrameSize:
- -translateOriginToPoint:
- -viewBoundsChanged:
- -viewFrameChanged:

### acceptsFirstResponder

- (BOOL) acceptsFirstResponder;

Description forthcoming.

### autoscroll:

- (BOOL) autoscroll: (NSEvent*)theEvent;

Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### constrainScrollPoint:

- (NSPoint) constrainScrollPoint: (NSPoint)proposedNewOrigin;

Description forthcoming.

### copiesOnScroll

- (BOOL) copiesOnScroll;

Description forthcoming.

### documentCursor

- (NSCursor*) documentCursor;

Description forthcoming.

### documentRect

- (NSRect) documentRect;

Description forthcoming.

### documentView

- (id) documentView;

Description forthcoming.

### documentVisibleRect

- (NSRect) documentVisibleRect;

Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;

Description forthcoming.

### isFlipped

- (BOOL) isFlipped;

Description forthcoming.

### rotateByAngle:

- (void) rotateByAngle: (float)angle;

Description forthcoming.

### scaleUnitSquareToSize:

- (void) scaleUnitSquareToSize: (NSSize)newUnitSize;

Description forthcoming.

### scrollToPoint:

- (void) scrollToPoint: (NSPoint)aPoint;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setBoundsOrigin:

- (void) setBoundsOrigin: (NSPoint)aPoint;

Description forthcoming.

### setBoundsRotation:

- (void) setBoundsRotation: (float)angle;

Description forthcoming.

### setBoundsSize:

- (void) setBoundsSize: (NSSize)aSize;

Description forthcoming.

### setCopiesOnScroll:

- (void) setCopiesOnScroll: (BOOL)flag;

Description forthcoming.

### setDocumentCursor:

- (void) setDocumentCursor: (NSCursor*)aCursor;

Description forthcoming.

### setDocumentView:

- (void) setDocumentView: (NSView*)aView;

Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;

Description forthcoming.

### setFrameOrigin:

- (void) setFrameOrigin: (NSPoint)aPoint;

Description forthcoming.

### setFrameRotation:

- (void) setFrameRotation: (float)angle;

Description forthcoming.

### setFrameSize:

- (void) setFrameSize: (NSSize)aSize;

Description forthcoming.

### translateOriginToPoint:

- (void) translateOriginToPoint: (NSPoint)aPoint;

Description forthcoming.

### viewBoundsChanged:

- (void) viewBoundsChanged: (NSNotification*)aNotification;

Description forthcoming.

### viewFrameChanged:

- (void) viewFrameChanged: (NSNotification*)aNotification;

Description forthcoming.

Up